SDL_AudioDeviceEvent Struct Reference

Audio device event structure (event.adevice.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | which
Uint8 | iscapture
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

Audio device event structure (event.adevice.*)

Definition at line 395 of file SDL_events.h.

## Field Documentation

Uint8 SDL_AudioDeviceEvent::iscapture

zero if an output device, non-zero if a capture device.

Definition at line 400 of file SDL_events.h.

Referenced by iteration().

Uint8 SDL_AudioDeviceEvent::padding1

Definition at line 401 of file SDL_events.h.

Uint8 SDL_AudioDeviceEvent::padding2

Definition at line 402 of file SDL_events.h.

Uint8 SDL_AudioDeviceEvent::padding3

Definition at line 403 of file SDL_events.h.

Uint32 SDL_AudioDeviceEvent::timestamp

Definition at line 398 of file SDL_events.h.

Uint32 SDL_AudioDeviceEvent::type

SDL_AUDIODEVICEADDED, or SDL_AUDIODEVICEREMOVED

Definition at line 397 of file SDL_events.h.

Uint32 SDL_AudioDeviceEvent::which

The audio device index for the ADDED event (valid until next SDL_GetNumAudioDevices() call), SDL_AudioDeviceID for the REMOVED event

Definition at line 399 of file SDL_events.h.

Referenced by iteration().

The documentation for this struct was generated from the following file:

- include/SDL_events.h